﻿@model ComplianceDocument
<div class="modal-dialog max-w-550px" role="document">
    <div class="modal-content">
        <div class="modal-header">
            <h5 class="modal-title">Compliance Document Upload</h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close" id="btn-close">
                <i aria-hidden="true" class="ki ki-close"></i>
            </button>
        </div>
        <form enctype="multipart/form-data" id="compliance-document-upload-form">
            <input type="hidden" asp-for="Id" />
            <input asp-for="Guid" />
            <div class="modal-body">
                <div class="form-group">
                    <div class="dropzone dropzone-default dropzone-primary" id="compliance-document-upload">
                        <div class="dropzone-msg dz-message needsclick">
                            <h3 class="dropzone-msg-title">Drop files here or click to upload.</h3>
                            <span class="dropzone-msg-desc">
                                The file size should not exceed 100mb and should be in proper format (i.e. All formats of images, audio, video, .pdf, .doc, .docx, .xls, .xlsx, .ppt, .pptx, .csv, .eps or .txt)
                            </span>
                        </div>
                    </div>
                </div>
                <h5 class="mt-10 mb-10 side-separator-container"><span class="side-separator" style="margin-left:225px">OR</span></h5>
                <div class="form-group">
                    <label asp-for="FileUrl"></label>
                    <textarea class="form-control" asp-for="FileUrl"></textarea>
                    <span asp-validation-for="FileUrl" class="text-danger"></span>
                </div>
                <div class="form-group mb-0">
                    <label>Adviser Note</label>
                    <textarea class="form-control" asp-for="AdviserNote"></textarea>
                </div>
            </div>
            <div class="modal-footer">
                <button class="btn btn-primary font-weight-bold spinner-white spinner-right" id="btn_submit_upload">
                    <i class="fas fa-upload"></i>
                    <span id="upload-text">Upload</span>
                </button>
            </div>
        </form>
    </div>
</div>
<script>
    clearDropzone();
    var dropzoneOptions = dropzoneDefaultOptions;
    dropzoneOptions.url = "adviser/home/compliancedocumentupload";
    dropzoneOptions.maxFilesize = 100; // MB
    dropzoneOptions.sending = function (file, xhr, formData) {
        var frm = $("#compliance-document-upload-form");
        formData.append("id", frm.find("#Id").val());
        formData.append("guid", frm.find("#Guid").val());
        formData.append("fileUrl", frm.find("#FileUrl").val());
        formData.append("adviserNote", frm.find("#AdviserNote").val());
        initToastProgress();
    };
    dropzoneOptions.success = function (file, response) {
        if (file.accepted) {
            var swalOptions = successSwalOptions;
            swalOptions.title = response.message;
            Swal.fire(swalOptions);
            if (window["datatable"] != undefined)
                datatable.reload();
        }
        else {
            toastr.options = toastrOptions;
            toastr.error(response.message);
        }
    };
    $('#compliance-document-upload').dropzone(dropzoneOptions);

    $("#ComplianceDocumentUploadModal #btn_submit_upload").click(function (e) {
        e.preventDefault();
        dropzoneEl = Dropzone.forElement(".dropzone");
        enableDisableUpload(true);
        if (dropzoneEl.getQueuedFiles().length > 0)
            dropzoneEl.processQueue();
        else
            $.post("adviser/home/compliancedocumentupload",$("#compliance-document-upload-form").serialize(),function (response) {
                    if (response.success) {
                        var swalOptions = successSwalOptions;
                        swalOptions.title = response.message;
                        Swal.fire(swalOptions);
                        if (window["datatable"] != undefined)
                            datatable.reload();
                        var modalId = $('.modal:visible').attr("id");
                        $(`#${modalId}`).modal('hide');
                    }
                    else {
                        toastr.options = toastrOptions;
                        toastr.error(response.message);
                    }
                });
            });

    $("#FileUrl").on('input',function () {
        $("#compliance-document-upload").removeClass("disabled");
        $("#compliance-document-upload").parent().removeClass("disabled-div");
        if ($(this).val().length > 0 && $("#compliance-document-upload-form").valid()) {
            $("#btn_submit_upload").prop("disabled", false);
            $("#compliance-document-upload").parent().addClass("disabled-div");
            $("#compliance-document-upload").addClass("disabled");
        }
        else
            $("#btn_submit_upload").prop("disabled", true);
    });
</script>
